use log4rs;
use config::Config;
use transcoder::repository::Repository;
use transcoder::transcoder::Transcoder;

mod config;
mod transcoder;
mod util;

fn main() {
  // initialize the log4rs logger
  log4rs::init_file("./log4rs.yaml", Default::default()).unwrap();

  // create and initialize our config and repository objects
  let c: Config = Config::new("~/.config/adept.toml");
  let r: Repository = Repository::new(&c.get_repository());

  // create and start the video transcoder object
  let t: Transcoder = Transcoder::new(c, r);
  t.start();
}
